System.Web 2.0.0.0 System.Object To be added.

Provides methods for creating provider instances, either singly or in a batch.

- Method
  System.Configuration.Provider.ProviderBase `` `` To be added.

  Initializes and returns a single provider of the given type using the supplied settings.

  A new provider of the given type using the supplied settings.

  The settings to be passed to the provider upon initialization. The of the provider to be initialized. 2.0.0.0
- Method
  System.Void `` `` ``

  This method calls the method, and any exceptions thrown by that method will bubble up through the method.

  Initializes a collection of providers of the given type using the supplied settings.

  A collection of settings to be passed to the provider upon initialization. The collection used to contain the initialized providers after the method returns. The of the providers to be initialized. 2.0.0.0